Flutter

[Flutter] The ‘Pods-Runner’ target has transitive dependencies that include statically linked binaries: (GoogleDataTransport, GoogleDataTransportCCTSupport, and GoogleUtilitiesComponents) 에러 해결하기


card_scanner가 패키지가 원인

ios/Profile 열기

nano /ios/Profile
# 또는 Android Studio, Visual Studio Code에서 직접 열기

해당 코드 찾아 use_frameworks! 부분 주석하기

target 'Runner' do
  #use_frameworks!
  use_modular_headers!
  platform :ios, '12.1'

  flutter_install_all_ios_pods File.dirname(File.realpath(__FILE__))
end

기존 Pod 삭제

rm -rf /ios/Pods
rm -rf /ios/Profile.lock

다시 전체 Pod 설치

pod install

댓글 남기기

이메일은 공개되지 않습니다. 필수 입력창은 * 로 표시되어 있습니다